Subject: Re: bug#15251: 24.3.50; do-auto-fill "continues" comment from inside a string

From: Dmitry Gutov <[email-masked]>
Date: Fri, 04 Oct 2013 05:09:21 +0300

On 02.10.2013 17:08, Andreas Röhler wrote:
> Doesn't make sense for me. In which way is a string supposed to bear
> string-face, if syntax doesn't exist?

I'm just guessing, but syntax table may have syntax entries for string 
delimiters, but not for comments (e.g. because their syntax is too weird 
to be adequately expressed using existing syntax table classes), so 
comments may be fontified via explicit font-lock-keywords entries.

Another option is, like Stefan mentioned, if font-lock-syntax-table is 
defined, it's used for fontification, and it's very different from the 
actual buffer syntax table.

> That's shooting into the dark IMHO.

That code is old. I'm pretty sure nobody would've written it if there 
weren't any modes in the wild at the time that benefited from it.